{
    "dns": {
        "servers": [
            {
                "tag": "google",
                "address": "1.1.1.1"
            },
            {
                "tag": "local",
                "address": "223.5.5.5",
                "detour": "direct"
            }
        ],
        "rules": [
            {
                "rule_set": "geosite-aws",
                "server": "google" // Let Google resolve, TUIC will send the domain name to the proxy anyway
            },
            {
                "outbound": "direct",
                "server": "local"
            }
        ],
        "strategy": "ipv4_only"
    },
    "inbounds": [
        {
            "type": "tun",
            "tag": "tun-in",
            "interface_name": "tun0", // Good practice to name the interface
            "address": [
                "172.19.0.1/30"
            ],
            "auto_route": true,
            "stack": "mixed",
            "sniff": true
        }
    ],
    "outbounds": [
        {
            "tag": "proxy",
            "type": "tuic",
            "server": "gianode1.xorbit.link",
            "server_port": 8444,
            "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
            "password": "ckdoacnioemskiwn",
            "congestion_control": "bbr",
            "tls": {
                "enabled": true,
                "server_name": "gianode1.xorbit.link",
                "alpn": [
                    "h3"
                ]
            }
        },
        {
            "type": "block",
            "tag": "block"
        },
        {
            "type": "dns",
            "tag": "dns-out"
        },
        {
            "type": "direct",
            "tag": "direct"
        }
    ],
    "route": {
        "rules": [
            {
                "protocol": "dns",
                "outbound": "dns-out"
            },
            {
                "ip_is_private": true,
                "outbound": "direct"
            },
            {
                "rule_set": "geosite-aws",
                "outbound": "proxy"
            }
        ],
        "rule_set": [
            {
                "tag": "geosite-aws",
                "type": "remote",
                "format": "binary",
                "url": "https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-aws.srs",
                "download_detour": "direct"
            }
        ]
    },
    "experimental": {
        "cache_file": {
            "enabled": true
        }
    }
}